package com.wechat.dao;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.BaiDuTokenDto;

@Repository
public class BaiDuTokenRedisDao extends RedisGeneratorDao<String, BaiDuTokenDto> {
	private String tableKey = "baiduTokenRedis";

	public BaiDuTokenDto selectBaiDuToken(String infoKey) {
		return selectOne(tableKey, infoKey);
	}

	public void insertBaiDuToken(String infoKey, BaiDuTokenDto infoValue) {
		insert(tableKey, infoKey, infoValue);
	}

	public void updateBaiDuToken(String infoKey, BaiDuTokenDto infoValue) {
		update(tableKey, infoKey, infoValue);
	}

	public void deleteBaiDuToken(String infoKey) {
		delete(tableKey, infoKey);
	}
}
